Ubuntu 18.04でATOK X3を使う

Ubuntu 18.04でATOK X3を利用する方法を紹介します。(2018/5/6 検証済み)。

インストールと調整に1時間ほどかかるかもしれませんが、快適な日本語入力環境が手に入ります。コメント欄で出来る限りサポートしてみたいと思いますので、お気軽に書き込んでいただければ幸いです。

最初に、次のものをインストールします。

sudo apt-get install libpangoxft-1.0-0:i386 libpangox-1.0-0:i386 libpangox-1.0-0

さて、続いてのやり方ですが、基本的には、下記の素晴らしいリンク先サイトの記事に沿って、ATOK X3のインストールを最後まで進めます。なお、途中で再起動やログアウトをしないでください。このあとに記述されている「変更点」を適用してから再起動してください。

そのあと、いくつか変更点がありますので修正していきます。

変更点1.

このままだとNetworkManagerがDHCPを取得できないという奇妙な問題が生じます。この問題を解消するためには、上記手順でのインストール後に、下記の操作を行います。(この通りに打ってください。sudo -sは重要で、アレンジするとたぶん失敗します。)

sudo -s
mkdir /run/iiim
rm -rf /var/run
ln -s /run /var/run

この問題の原因は、Ubuntuでは/var/runが/runへのシンボリックリンクであるのに対し、ATOK X3のインストーラがtarでこれを上書きして/var/runディレクトリを作成してしまうことで、不整合が生じることです。

確認した範囲では、Ubuntu 14.04.4, 15.04, 15.10, 16.04のすべてで同じ問題が生じました。/var/runがシンボリックリンクになったのは11.10からだそうですが、DHCPの問題が生じるようになった時期は、ちょっと不明です。

変更点2.

Ubuntuを英語でインストールした場合、GNOME3のロケールを日本語にしてください。日本語でインストールした場合、この項目は設定不要です。

変更点3.

リンク先サイトの最初に書かれているim-switchのインストールですが、今回は必要ありません。代わりに、次の通りに~/.xinputrcを作成します。

export XMODIFIERS=@im=iiimx
export GTK_IM_MODULE=iiim
export QT_IM_MODULE=xim

export HTT_DISABLE_STATUS_WINDOW=t
export JS_FEEDBACK_CONVERT=t
iiimx -iiimd > /dev/null 2>&1

変更点4.

リンク先サイトで作成している~/.config/autostart/atok.desktopは、変更点3.を行ったため、不要になります。作成すると挙動がおかしくなりますので、削除して下さい。

ここまでの変更点を一気に修正したら、再起動してください。うまくいかなければ1つずつ見直し・やり直ししてみて下さい。(私もだいたい2回目くらいでうまくいきます。)

以上、ご参考になりましたら幸いです。また、ご質問、ご指摘、うまくいかない等がございましたらコメントをよろしくお願いいたします。

19 thoughts on “Ubuntu 18.04でATOK X3を使う

  1. 山田和則

    変更点4.
    リンク先サイトで作成している~/.config/autostart/atok.desktopは、変更点3.を行ったため、不要になります。作成すると挙動がおかしくなりますので、削除して下さい。

    上記の「リンク先サイトで作成している~/.config/autostart/atok.desktop」とは、どこにあるのでしょうか。
    ご教示下さい。当方初心者です。宜しくおねがいします。

    返信
  2. ジョジョ

    こんにちは、
    イタリア人の留学生のジョジョと申します。上記の詳しい説明のおかげでATOKをUbuntu 18.04にインストールできて、本当にありがたいです。
    でもインストール後、ATOKと関係はなさそうな問題が生じました。ATOKを起動するたびに、必ずgnome-terminalの点滅カーソルが消えます。
    カーソルというのはこれです:https://www.dropbox.com/s/bzblcmnvzlr4ava/cursor.png?dl=0
    ATOKが起動しないと、カーソルが見えるということです。カーソルなしで端末を使うのは大変面倒なことです。
    あなたも同じ問題がありますか?
    よろしくお願いいたします。
    ジョジョ

    返信
    1. tabata 投稿作成者

      返信が遅くなり申し訳ございません。
      ATOK X3をインストールするとgnome-terminalのカーソルが消えるのは、私も確認しております。
      私の回避策は、gnome-terminalではATOK X3を無効にすることです。
      そのために、

      https://luxion.jp/downloads/gnome-terminal-patched
      https://luxion.jp/downloads/gnome-terminal.sh

      以上の2つのファイルを用意し、ターミナルの起動はgnome-terminal.shを実行するようにしています。

      返信
  3. yoshi

    こんにちわ。
    ubuntu18.04 LTSをインストールする前にatokが使えるかどうか調べていて、こちらへたどりつきました。

    変更点3の「im-switchのインストールが不要」について
    リンク先サイトの「前準備」の全部が不要と理解してよいですか?

    どうぞよろしくお願いします。

    返信
  4. yoshi

    こんにちわ。
    ubuntu18.04 LTSをインストールする前に、atokが使えるかどうか調べていてこちらへたどりつきました。

    変更点3の「im-switchのインストールが不要」について
    リンク先サイトの「前準備」の全部が不要と理解してよいですか?

    どうぞよろしくお願いします。

    返信
    1. tabata 投稿作成者

      返信が遅くなり申し訳ございません。
      下記のコマンドが不要になるということです。
      sudo apt-get install im-switch

      返信
  5. としゆき

    こんにちは。質問させてください。
    変更点3.
    ですが、この操作をターミナルで行うということですか?それともmkdir等の操作をしてファイルやディレクトリを作るということですか?
    愚問かもしれません。linux初心者なものですから、よろしくお願いします。

    返信
    1. tabata 投稿作成者

      返信が遅くなり申し訳ございません。
      変更点3.では~/.xinputrcというファイルを作成しております。
      ファイルを作成するのはターミナルでもgeditなどでも、なんでもいいです。

      返信
  6. としゆき

    こんにちは。コメント送れるかどうか不安です。サイトって何でしょうね?
    2回、繰り返してみましたが、まだ、実現できていません。
    変更点3は、
    vi ~/.xinputrc
    としてコピーペーストしました。
    リンク先のatokの導入については、アップデートの前までしかやっていません。
    アップデートはリブート後にするとのことなので。

    私の方のどこがおかしいんでしょうね?

    返信
  7. としゆき

    コメント送れているでしょうか?
    リンク先のatokx3のインストールは、アップデートの前まで実行するのでしょうか?アップデートまで全て実行するのでしょうか?
    アップデートするためにはリブートが必要なようです。
    ですが、こちらの記載ではリブートせずに変更点まで実施するようにと書いてあります。
    よろしくお願いします。

    返信
    1. tabata 投稿作成者

      返信が遅くなり申し訳ございません。
      アップデートまですべて実行してください。
      アップデートするためにリブートは必要ありません。
      リブートは変更点1〜4をすべて行ったあとに実施してください。

      返信
  8. 鈴木 登茂次

    Ubuntu18.04LTSにATOK X3 for Linux(32bit編)をインストールしたいと奮闘中です。
    tsuzuki@tsuzuki-O-E-M:~$ sudo apt-get install libpangoxft-1.0-0:i386 libpangox-1.0-0:i386 libpangox-1.0-0
    [sudo] tsuzuki のパスワード:
    パッケージリストを読み込んでいます… 完了
    依存関係ツリーを作成しています
    状態情報を読み取っています… 完了
    以下のパッケージが自動でインストールされましたが、もう必要とされていません:
    linux-headers-4.15.0-36 linux-headers-4.15.0-36-generic
    linux-image-4.15.0-36-generic linux-modules-4.15.0-36-generic
    linux-modules-extra-4.15.0-36-generic
    これを削除するには ‘sudo apt autoremove’ を利用してください。
    以下の追加パッケージがインストールされます:
    libblkid1:i386 libbsd0:i386 libdatrie1:i386 libexpat1:i386 libffi6:i386
    libfontconfig1:i386 libfreetype6:i386 libglib2.0-0 libglib2.0-0:i386
    libglib2.0-bin libgraphite2-3:i386 libharfbuzz0b:i386 libmount1:i386
    libpango-1.0-0:i386 libpangoft2-1.0-0:i386 libpcre3:i386 libpng16-16:i386
    libselinux1:i386 libthai0:i386 libuuid1:i386 libx11-6:i386 libxau6:i386
    libxcb1:i386 libxdmcp6:i386 libxft2:i386 libxrender1:i386
    以下のパッケージが新たにインストールされます:
    libblkid1:i386 libbsd0:i386 libdatrie1:i386 libexpat1:i386 libffi6:i386
    libfontconfig1:i386 libfreetype6:i386 libglib2.0-0:i386 libgraphite2-3:i386
    libharfbuzz0b:i386 libmount1:i386 libpango-1.0-0:i386 libpangoft2-1.0-0:i386
    libpangox-1.0-0 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libpcre3:i386
    libpng16-16:i386 libselinux1:i386 libthai0:i386 libuuid1:i386 libx11-6:i386
    libxau6:i386 libxcb1:i386 libxdmcp6:i386 libxft2:i386 libxrender1:i386
    以下のパッケージはアップグレードされます:
    libglib2.0-0 libglib2.0-bin
    アップグレード: 2 個、新規インストール: 27 個、削除: 0 個、保留: 23 個。
    5,279 kB のアーカイブを取得する必要があります。
    この操作後に追加で 12.8 MB のディスク容量が消費されます。
    続行しますか? [Y/n] y
    取得:1 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libxau6 i386 1:1.0.8-1 [8,352 B]
    取得:2 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libexpat1 i386 2.2.5-3 [78.1 kB]
    取得:3 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libpng16-16 i386 1.6.34-1ubuntu0.18.04.1 [184 kB]
    取得:4 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libfreetype6 i386 2.8.1-2ubuntu2 [351 kB]
    取得:5 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libfontconfig1 i386 2.12.6-0ubuntu2 [146 kB]
    取得:6 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libbsd0 i386 0.8.7-1 [44.7 kB]
    取得:7 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libxdmcp6 i386 1:1.1.2-3 [11.1 kB]
    取得:8 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libxcb1 i386 1.13-1 [50.0 kB]
    取得:9 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libx11-6 i386 2:1.6.4-3ubuntu0.1 [595 kB]
    取得:10 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libxrender1 i386 1:0.9.10-1 [19.9 kB]
    取得:11 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libxft2 i386 2.3.2-1 [35.5 kB]
    取得:12 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglib2.0-bin amd64 2.56.3-0ubuntu0.18.04.1 [68.9 kB]
    取得:13 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglib2.0-0 amd64 2.56.3-0ubuntu0.18.04.1 [1,168 kB]
    取得:14 http://jp.archive.ubuntu.com/ubuntu bionic/universe amd64 libpangox-1.0-0 amd64 0.0.2-5 [41.7 kB]
    取得:15 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libffi6 i386 3.2.1-8 [17.2 kB]
    取得:16 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libuuid1 i386 2.31.1-0.4ubuntu3.2 [20.8 kB]
    取得:17 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libblkid1 i386 2.31.1-0.4ubuntu3.2 [140 kB]
    取得:18 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libpcre3 i386 2:8.39-9 [228 kB]
    取得:19 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libselinux1 i386 2.7-2build2 [72.9 kB]
    取得:20 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libmount1 i386 2.31.1-0.4ubuntu3.2 [149 kB]
    取得:21 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libglib2.0-0 i386 2.56.3-0ubuntu0.18.04.1 [1,234 kB]
    取得:22 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libdatrie1 i386 0.2.10-7 [19.3 kB]
    取得:23 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libthai0 i386 0.1.27-2 [19.1 kB]
    取得:24 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libpango-1.0-0 i386 1.40.14-1ubuntu0.1 [159 kB]
    取得:25 http://jp.archive.ubuntu.com/ubuntu bionic/universe i386 libpangox-1.0-0 i386 0.0.2-5 [43.3 kB]
    取得:26 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libgraphite2-3 i386 1.3.11-2 [81.9 kB]
    取得:27 http://jp.archive.ubuntu.com/ubuntu bionic/main i386 libharfbuzz0b i386 1.7.2-1ubuntu1 [241 kB]
    取得:28 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libpangoft2-1.0-0 i386 1.40.14-1ubuntu0.1 [36.2 kB]
    取得:29 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main i386 libpangoxft-1.0-0 i386 1.40.14-1ubuntu0.1 [15.9 kB]
    5,279 kB を 1秒 で取得しました (5,121 kB/s)
    以前に未選択のパッケージ libxau6:i386 を選択しています。
    (データベースを読み込んでいます … 現在 201921 個のファイルとディレクトリがインストールされています。)
    …/00-libxau6_1%3a1.0.8-1_i386.deb を展開する準備をしています …
    libxau6:i386 (1:1.0.8-1) を展開しています…
    以前に未選択のパッケージ libexpat1:i386 を選択しています。
    …/01-libexpat1_2.2.5-3_i386.deb を展開する準備をしています …
    libexpat1:i386 (2.2.5-3) を展開しています…
    以前に未選択のパッケージ libpng16-16:i386 を選択しています。
    …/02-libpng16-16_1.6.34-1ubuntu0.18.04.1_i386.deb を展開する準備をしています …
    libpng16-16:i386 (1.6.34-1ubuntu0.18.04.1) を展開しています…
    以前に未選択のパッケージ libfreetype6:i386 を選択しています。
    …/03-libfreetype6_2.8.1-2ubuntu2_i386.deb を展開する準備をしています …
    libfreetype6:i386 (2.8.1-2ubuntu2) を展開しています…
    以前に未選択のパッケージ libfontconfig1:i386 を選択しています。
    …/04-libfontconfig1_2.12.6-0ubuntu2_i386.deb を展開する準備をしています …
    libfontconfig1:i386 (2.12.6-0ubuntu2) を展開しています…
    以前に未選択のパッケージ libbsd0:i386 を選択しています。
    …/05-libbsd0_0.8.7-1_i386.deb を展開する準備をしています …
    libbsd0:i386 (0.8.7-1) を展開しています…
    以前に未選択のパッケージ libxdmcp6:i386 を選択しています。
    …/06-libxdmcp6_1%3a1.1.2-3_i386.deb を展開する準備をしています …
    libxdmcp6:i386 (1:1.1.2-3) を展開しています…
    以前に未選択のパッケージ libxcb1:i386 を選択しています。
    …/07-libxcb1_1.13-1_i386.deb を展開する準備をしています …
    libxcb1:i386 (1.13-1) を展開しています…
    以前に未選択のパッケージ libx11-6:i386 を選択しています。
    …/08-libx11-6_2%3a1.6.4-3ubuntu0.1_i386.deb を展開する準備をしています …
    libx11-6:i386 (2:1.6.4-3ubuntu0.1) を展開しています…
    以前に未選択のパッケージ libxrender1:i386 を選択しています。
    …/09-libxrender1_1%3a0.9.10-1_i386.deb を展開する準備をしています …
    libxrender1:i386 (1:0.9.10-1) を展開しています…
    以前に未選択のパッケージ libxft2:i386 を選択しています。
    …/10-libxft2_2.3.2-1_i386.deb を展開する準備をしています …
    libxft2:i386 (2.3.2-1) を展開しています…
    …/11-libglib2.0-bin_2.56.3-0ubuntu0.18.04.1_amd64.deb を展開する準備をしています …
    libglib2.0-bin (2.56.3-0ubuntu0.18.04.1) で (2.56.2-0ubuntu0.18.04.2 に) 上書き展開しています …
    …/12-libglib2.0-0_2.56.3-0ubuntu0.18.04.1_amd64.deb を展開する準備をしています …
    libglib2.0-0:amd64 (2.56.3-0ubuntu0.18.04.1) で (2.56.2-0ubuntu0.18.04.2 に) 上書き展開しています …
    以前に未選択のパッケージ libffi6:i386 を選択しています。
    …/13-libffi6_3.2.1-8_i386.deb を展開する準備をしています …
    libffi6:i386 (3.2.1-8) を展開しています…
    以前に未選択のパッケージ libuuid1:i386 を選択しています。
    …/14-libuuid1_2.31.1-0.4ubuntu3.2_i386.deb を展開する準備をしています …
    libuuid1:i386 (2.31.1-0.4ubuntu3.2) を展開しています…
    以前に未選択のパッケージ libblkid1:i386 を選択しています。
    …/15-libblkid1_2.31.1-0.4ubuntu3.2_i386.deb を展開する準備をしています …
    libblkid1:i386 (2.31.1-0.4ubuntu3.2) を展開しています…
    以前に未選択のパッケージ libpcre3:i386 を選択しています。
    …/16-libpcre3_2%3a8.39-9_i386.deb を展開する準備をしています …
    libpcre3:i386 (2:8.39-9) を展開しています…
    以前に未選択のパッケージ libselinux1:i386 を選択しています。
    …/17-libselinux1_2.7-2build2_i386.deb を展開する準備をしています …
    libselinux1:i386 (2.7-2build2) を展開しています…
    以前に未選択のパッケージ libmount1:i386 を選択しています。
    …/18-libmount1_2.31.1-0.4ubuntu3.2_i386.deb を展開する準備をしています …
    libmount1:i386 (2.31.1-0.4ubuntu3.2) を展開しています…
    以前に未選択のパッケージ libglib2.0-0:i386 を選択しています。
    …/19-libglib2.0-0_2.56.3-0ubuntu0.18.04.1_i386.deb を展開する準備をしています …
    libglib2.0-0:i386 (2.56.3-0ubuntu0.18.04.1) を展開しています…
    以前に未選択のパッケージ libdatrie1:i386 を選択しています。
    …/20-libdatrie1_0.2.10-7_i386.deb を展開する準備をしています …
    libdatrie1:i386 (0.2.10-7) を展開しています…
    以前に未選択のパッケージ libthai0:i386 を選択しています。
    …/21-libthai0_0.1.27-2_i386.deb を展開する準備をしています …
    libthai0:i386 (0.1.27-2) を展開しています…
    以前に未選択のパッケージ libpango-1.0-0:i386 を選択しています。
    …/22-libpango-1.0-0_1.40.14-1ubuntu0.1_i386.deb を展開する準備をしています …
    libpango-1.0-0:i386 (1.40.14-1ubuntu0.1) を展開しています…
    以前に未選択のパッケージ libpangox-1.0-0:i386 を選択しています。
    …/23-libpangox-1.0-0_0.0.2-5_i386.deb を展開する準備をしています …
    libpangox-1.0-0:i386 (0.0.2-5) を展開しています…
    以前に未選択のパッケージ libpangox-1.0-0:amd64 を選択しています。
    …/24-libpangox-1.0-0_0.0.2-5_amd64.deb を展開する準備をしています …
    libpangox-1.0-0:amd64 (0.0.2-5) を展開しています…
    以前に未選択のパッケージ libgraphite2-3:i386 を選択しています。
    …/25-libgraphite2-3_1.3.11-2_i386.deb を展開する準備をしています …
    libgraphite2-3:i386 (1.3.11-2) を展開しています…
    以前に未選択のパッケージ libharfbuzz0b:i386 を選択しています。
    …/26-libharfbuzz0b_1.7.2-1ubuntu1_i386.deb を展開する準備をしています …
    libharfbuzz0b:i386 (1.7.2-1ubuntu1) を展開しています…
    以前に未選択のパッケージ libpangoft2-1.0-0:i386 を選択しています。
    …/27-libpangoft2-1.0-0_1.40.14-1ubuntu0.1_i386.deb を展開する準備をしています …
    libpangoft2-1.0-0:i386 (1.40.14-1ubuntu0.1) を展開しています…
    以前に未選択のパッケージ libpangoxft-1.0-0:i386 を選択しています。
    …/28-libpangoxft-1.0-0_1.40.14-1ubuntu0.1_i386.deb を展開する準備をしています …
    libpangoxft-1.0-0:i386 (1.40.14-1ubuntu0.1) を展開しています…
    libexpat1:i386 (2.2.5-3) を設定しています …
    libpng16-16:i386 (1.6.34-1ubuntu0.18.04.1) を設定しています …
    libuuid1:i386 (2.31.1-0.4ubuntu3.2) を設定しています …
    libglib2.0-0:amd64 (2.56.3-0ubuntu0.18.04.1) を設定しています …
    libdatrie1:i386 (0.2.10-7) を設定しています …
    libpcre3:i386 (2:8.39-9) を設定しています …
    libthai0:i386 (0.1.27-2) を設定しています …
    libbsd0:i386 (0.8.7-1) を設定しています …
    libblkid1:i386 (2.31.1-0.4ubuntu3.2) を設定しています …
    libfreetype6:i386 (2.8.1-2ubuntu2) を設定しています …
    libgraphite2-3:i386 (1.3.11-2) を設定しています …
    libc-bin (2.27-3ubuntu1) のトリガを処理しています …
    libselinux1:i386 (2.7-2build2) を設定しています …
    libpangox-1.0-0:amd64 (0.0.2-5) を設定しています …
    man-db (2.8.3-2ubuntu0.1) のトリガを処理しています …
    libffi6:i386 (3.2.1-8) を設定しています …
    libxdmcp6:i386 (1:1.1.2-3) を設定しています …
    libmount1:i386 (2.31.1-0.4ubuntu3.2) を設定しています …
    libglib2.0-bin (2.56.3-0ubuntu0.18.04.1) を設定しています …
    libxau6:i386 (1:1.0.8-1) を設定しています …
    libfontconfig1:i386 (2.12.6-0ubuntu2) を設定しています …
    libglib2.0-0:i386 (2.56.3-0ubuntu0.18.04.1) を設定しています …
    libharfbuzz0b:i386 (1.7.2-1ubuntu1) を設定しています …
    libpango-1.0-0:i386 (1.40.14-1ubuntu0.1) を設定しています …
    libxcb1:i386 (1.13-1) を設定しています …
    libx11-6:i386 (2:1.6.4-3ubuntu0.1) を設定しています …
    libpangoft2-1.0-0:i386 (1.40.14-1ubuntu0.1) を設定しています …
    libpangox-1.0-0:i386 (0.0.2-5) を設定しています …
    libxrender1:i386 (1:0.9.10-1) を設定しています …
    libxft2:i386 (2.3.2-1) を設定しています …
    libpangoxft-1.0-0:i386 (1.40.14-1ubuntu0.1) を設定しています …
    libc-bin (2.27-3ubuntu1) のトリガを処理しています …
    tsuzuki@tsuzuki-O-E-M:~$ sudo apt-get install im-switch
    パッケージリストを読み込んでいます… 完了
    依存関係ツリーを作成しています
    状態情報を読み取っています… 完了
    注意、’im-switch’ の代わりに ‘im-config’ を選択します
    im-config はすでに最新バージョン (0.34-1ubuntu1.2) です。
    以下のパッケージが自動でインストールされましたが、もう必要とされていません:
    linux-headers-4.15.0-36 linux-headers-4.15.0-36-generic
    linux-image-4.15.0-36-generic linux-modules-4.15.0-36-generic
    linux-modules-extra-4.15.0-36-generic
    これを削除するには ‘sudo apt autoremove’ を利用してください。
    アップグレード: 0 個、新規インストール: 0 個、削除: 0 個、保留: 23 個。
    tsuzuki@tsuzuki-O-E-M:~$ sudo touch /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/gtk.immodules
    touch: ‘/usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/gtk.immodules’ に touch できません: そのようなファイルやディレクトリはありません
    tsuzuki@tsuzuki-O-E-M:~$ export LANG=C LANGUAGE=C LC_ALL=C
    tsuzuki@tsuzuki-O-E-M:~$ cd /media/tsuzuki/ATOKX3
    tsuzuki@tsuzuki-O-E-M:/media/tsuzuki/ATOKX3$ sudo bash ./setupatok_tar.sh
    This software is furnished under an end user agreement and may be used
    or copied only in accordance with the terms of such license.
    If you accept the terms of the license agreement,Please select “Yes”.
    If you do not accept the terms of the license agreement,Please select “No”.
    ? (yes/no)yes
    Input path of gtk-query-immodules-2.0 for 32bit application:/usr/lib/i386-linux-gnu/libgtk2.0-0/gtk-query-immodules-2.0
    ?
    ここから前に進むことができません。
    ご多用中と存じますが「何が原因なのか」ご教示願えれば幸甚です。
    よろしくお願いいたします。

    返信
    1. tabata 投稿作成者

      返信が遅くなり申し訳ございません。
      32bit編でインストールを進められているようですが、見たところ、お使いのUbuntuは64bit版のようです。
      従って、リンク先サイトの64bit編を実行されるとよいです。

      返信
  9. valox

    ubuntu18.10だと、同じようにしてもよいでしょうか?よろしければ回答ください。

    返信
  10. Takuma Inoue

    質問があります。
    ①ubuntu18.10でも同じ手順でできますか?
    ②•ATOK X3 for Linux (ATOKの項目を見てください)のリンク先の、アップデートも実行するのでしょうか?
    よろしくお願いいたします。

    返信
    1. tabata 投稿作成者

      返信が遅くなり申し訳ございません。
      ①試していません。Ubuntu 20.04 LTSが出たら試します。
      ②アップデートも実行します。この際、再起動せずに一気にアップデートの実施と、変更点1〜4の実施を行うことが必要です。

      返信
  11. 井上琢磨

    Ubuntu 18.04でATOK X3を使う,の記事ですが、リンク先の
    https://web.archive.org/web/20141223001554/http://sicklylife.at-ninja.jp/memo/ubuntu1404/settings.html#atok_in
    の、アップデートはされたんでしょうか?
    それともインストールだけでよいのでしょうか?
    ファイルの位置の移動などもあるのですがそれも行うのでしょうか?なぜかうまくいきません。
    試しているのは、ubuntu18.10です。

    返信
    1. tabata 投稿作成者

      返信が遅くなり申し訳ございません。
      アップデートは実施します。このとき、最初のインストール後再起動せずにすぐアップデートを実施し、変更点1〜4も実施することが必要です。
      Ubuntu 18.10では試していないです。

      返信

コメントを残す

メールアドレスが公開されることはありません。

*